--- a/Imakefile
+++ b/Imakefile
@@ -51,9 +51,6 @@ InstallAppDefaults(XVkbd-greek)
 InstallAppDefaults(XVkbd-hebrew)
 InstallAppDefaults(XVkbd-icelandic)
 InstallAppDefaults(XVkbd-italian)
-InstallAppDefaults(XVkbd-jisx6002)
-InstallAppDefaults(XVkbd-jisx6004)
-InstallAppDefaults(XVkbd-korean)
 InstallAppDefaults(XVkbd-latin1)
 InstallAppDefaults(XVkbd-norwegian)
 InstallAppDefaults(XVkbd-portuguese)
--- a/XVkbd-common.ad
+++ b/XVkbd-common.ad
@@ -1,7 +1,10 @@
 !! XVkbd-common  - default setting for xvkbd-2.2
 !! by Tom Sato <VEF00200@nifty.ne.jp>, http://homepage3.nifty.com/tsato/
 !!
-!! Last update: 2002-04-17
+!! Modifications to support Hyperbola
+!! by Jayvee Enaguas <harvettfox96@dismail.de>
+!!
+!! Last update: 2026-05-29
 !
 ! These settings are hardcoded in xvkbd.c as fallback resouces, too,
 ! and this file is not required in general.
@@ -56,14 +59,14 @@ XVkbd*Repeater.initialDelay: 600
 XVkbd*Repeater.minimumDelay: 100
 XVkbd*Repeater.decay: 500
 
-XVkbd*Font: -*-helvetica-medium-r-*-*-12-*-*-*-*-*-iso8859-1
-XVkbd*generalFont: -*-lucidatypewriter-bold-r-*-*-12-*-*-*-*-*-iso8859-1
-XVkbd*letterFont: -*-helvetica-bold-r-*-*-12-*-*-*-*-*-iso8859-1
-XVkbd*specialFont: -*-helvetica-medium-r-*-*-12-*-*-*-*-*-iso8859-1
-XVkbd*keypadFont: -*-helvetica-medium-r-*-*-10-*-*-*-*-*-iso8859-1
-XVkbd*banner.font: -*-lucida-bold-i-*-*-14-*-*-*-*-*-iso8859-1
-XVkbd*display_panel*label.font: -*-helvetica-bold-r-*-*-12-*-*-*-*-*-iso8859-1
-XVkbd*completion_list.font: -*-lucida-medium-r-*-*-14-*-*-*-*-*-iso8859-1
+XVkbd*Font: fixed
+XVkbd*generalFont: 6x13bold
+XVkbd*letterFont: 6x13bold
+XVkbd*specialFont: fixed
+XVkbd*keypadFont: 6x12
+XVkbd*banner.font: 8x13bold
+XVkbd*display_panel*label.font: fixed
+XVkbd*completion_list.font: 8x13bold
 
 XVkbd*beNiceToColormap: false
 XVkbd*topShadowContrast: 40
@@ -238,8 +241,8 @@ XVkbd*completion_panel*view.forceBars: true
 XVkbd*completion_panel*view.completion_list.width: 400
 XVkbd*completion_panel*view.completion_list.height: 150
 
-XVkbd*completion_panel*label.font: -*-helvetica-bold-r-*-*-12-*-*-*-*-*-iso8859-1
-XVkbd*completion_panel*completion_list.font: -*-lucida-medium-r-*-*-14-*-*-*-*-*-iso8859-1
+XVkbd*completion_panel*label.font: fixed
+XVkbd*completion_panel*completion_list.font: fixed
 XVkbd*completion_panel*label.label: Completion:
 XVkbd*completion_panel*bottom: chainTop
 XVkbd*completion_panel*label.right: chainLeft
@@ -285,8 +288,8 @@ XVkbd*edit_fkey_panel*fkey_value_sep.horizDistance: 0
 XVkbd*edit_fkey_panel*save_button.label: Save
 XVkbd*edit_fkey_panel*close_button.label: Close
 
-XVkbd*edit_fkey_panel*Label.font: -*-helvetica-bold-r-*-*-12-*-*-*-*-*-iso8859-1
-XVkbd*edit_fkey_panel*fkey_value_menu.font: -*-helvetica-bold-r-*-*-12-*-*-*-*-*-iso8859-1
+XVkbd*edit_fkey_panel*Label.font: fixed
+XVkbd*edit_fkey_panel*fkey_value_menu.font: fixed
 
 !! Dead Keys
 !
@@ -295,7 +298,7 @@ XVkbd.deadkeys: dead_diaeresis,dead_acute,dead_grave,\
   dead_tilde,dead_abovedot
 
 XVkbd*deadkey_panel.title: xvkbd - dead keys
-XVkbd*deadkey_panel*font: -*-helvetica-medium-r-*-*-24-*-*-*-*-*-iso8859-1
+XVkbd*deadkey_panel*font: 8x13bold
 XVkbd*deadkey_panel*Repeater.width: 30
 XVkbd*deadkey_panel*Repeater.height: 36
 XVkbd*deadkey_panel*dead_diaeresis.label: \250
@@ -312,7 +315,6 @@ XVkbd*deadkey_panel*dead_abovedot.label: \267
 !
 XVkbd.customizations: default,belgian,danish,fitaly,\
   french,french2,german,greek,hebrew,icelandic,italian,\
-  jisx6002/ja_JP.eucJP,jisx6004/ja_JP.eucJP,korean/ko_KR.eucKR,\
   norwegian,portuguese,russian/ru_RU.KOI8-R,slovene,spanish,\
   swedish,swissgerman,turkish,turkishF,uk,latin1,small,strip
 
@@ -327,9 +329,6 @@ XVkbd*layout_panel*greek.label: Greek
 XVkbd*layout_panel*hebrew.label: Hebrew
 XVkbd*layout_panel*icelandic.label: Icelandic
 XVkbd*layout_panel*italian.label: Italian
-XVkbd*layout_panel*jisx6002.label: Japanese
-XVkbd*layout_panel*jisx6004.label: Japanese (JIS X 6004)
-XVkbd*layout_panel*korean.label: Korean
 XVkbd*layout_panel*norwegian.label: Norwegian
 XVkbd*layout_panel*portuguese.label: Portuguese
 XVkbd*layout_panel*russian.label: Russian
--- a/XVkbd-greek.ad
+++ b/XVkbd-greek.ad
@@ -1,7 +1,10 @@
 !! XVkbd-greek.ad  - sample app-defaults file for xvkbd
 !! by Tom Sato <VEF00200@nifty.ne.jp>, http://homepage3.nifty.com/tsato/
 !!
-!! Last update: 2002-04-17
+!! Modifications to support Hyperbola
+!! by Jayvee Enaguas <harvettfox96@dismail.de>
+!!
+!! Last update: 2026-05-29
 
 #include "XVkbd-common"
 
@@ -9,10 +12,8 @@
 !
 xvkbd.title: xvkbd - Virtual Keyboard (Greek)
 
-!XVkbd*generalFont: -*-lucidatypewriter-bold-r-*-*-12-*-*-*-*-*-iso8859-7
-!XVkbd*letterFont: -*-helvetica-bold-r-*-*-12-*-*-*-*-*-iso8859-7
-XVkbd*generalFont: -*-*-bold-r-*-*-12-*-*-*-*-*-iso8859-7
-XVkbd*letterFont: -*-*-bold-r-*-*-12-*-*-*-*-*-iso8859-7
+XVkbd*generalFont: -*-fixed-bold-r-*-*-13-*-*-*-*-60-iso8859-7
+XVkbd*letterFont: -*-fixed-bold-r-*-*-13-*-*-*-*-60-iso8859-7
 
 xvkbd*Mode_switch.width: 50
 xvkbd*space.width: 110
--- a/XVkbd-hebrew.ad
+++ b/XVkbd-hebrew.ad
@@ -1,6 +1,9 @@
 !! XVkbd-hebrew.ad  - sample app-defaults file for xvkbd
 !! by Tom Sato <VEF00200@nifty.ne.jp>, http://homepage3.nifty.com/tsato/
 !!
+!! Modifications to support Hyperbola
+!! by Jayvee Enaguas <harvettfox96@dismail.de>
+!!
 !! This app-defaults file is contributed from Genghis Khan (Nov 2014)
 
 #include "XVkbd-common"
@@ -9,8 +12,8 @@
 !
 xvkbd.title: xvkbd - Virtual Keyboard (Hebrew)
 
-xvkbd*generalFont: -*-*-*-r-*-*-14-*-*-*-*-*-iso8859-8
-xvkbd*letterFont: -*-*-*-r-*-*-14-*-*-*-*-*-iso8859-8
+XVkbd*generalFont: -*-fixed-bold-r-*-*-13-*-*-*-*-60-iso8859-8
+XVkbd*letterFont: -*-fixed-bold-r-*-*-13-*-*-*-*-60-iso8859-8
 
 xvkbd*Mode_switch.width: 50
 xvkbd*space.width: 110
--- a/XVkbd-slovene.ad
+++ b/XVkbd-slovene.ad
@@ -1,7 +1,10 @@
 !! XVkbd-slovene.ad  - sample app-defaults file for xvkbd
 !! by Tom Sato <VEF00200@nifty.ne.jp>, http://homepage3.nifty.com/tsato/
 !!
-!! Last update: 2002-04-16
+!! Modifications to support Hyperbola
+!! by Jayvee Enaguas <harvettfox96@dismail.de>
+!!
+!! Last update: 2026-05-29
 
 #include "XVkbd-common"
 
@@ -10,8 +13,8 @@
 !
 xvkbd.title: xvkbd - Virtual Keyboard (Slovene)
 
-xvkbd*generalFont: -*-lucidatypewriter-bold-r-*-*-12-*-*-*-*-*-iso8859-2
-xvkbd*letterFont: -*-helvetica-bold-r-*-*-12-*-*-*-*-*-iso8859-2
+XVkbd*generalFont: -*-fixed-bold-r-*-*-13-*-*-*-*-60-iso8859-2
+XVkbd*letterFont: -*-fixed-bold-r-*-*-13-*-*-*-*-60-iso8859-2
 
 xvkbd*Shift_L.width: 45
 xvkbd*space.width: 110
--- a/XVkbd-turkish.ad
+++ b/XVkbd-turkish.ad
@@ -1,7 +1,10 @@
 !! XVkbd-turkish.ad  - sample app-defaults file for xvkbd
 !! by Tom Sato <VEF00200@nifty.ne.jp>, http://homepage3.nifty.com/tsato/
 !!
-!! Last update: 2002-04-16
+!! Modifications to support Hyperbola
+!! by Jayvee Enaguas <harvettfox96@dismail.de>
+!!
+!! Last update: 2026-05-29
 
 #include "XVkbd-common"
 
@@ -10,8 +13,8 @@
 !
 xvkbd.title: xvkbd - Virtual Keyboard (Turkish)
 
-xvkbd*generalFont: -*-lucidatypewriter-bold-r-*-*-12-*-*-*-*-*-iso8859-9
-xvkbd*letterFont: -*-helvetica-bold-r-*-*-12-*-*-*-*-*-iso8859-9
+xvkbd*generalFont: -*-fixed-bold-r-*-*-13-*-*-*-*-60-iso8859-9
+xvkbd*letterFont: -*-fixed-bold-r-*-*-13-*-*-*-*-60-iso8859-9
 
 xvkbd*Shift_L.width: 45
 xvkbd*space.width: 110
